Subject: bug#20487: 25.0.50; Format and behavior of *xref* buffer is non-standard

From: Hielmut Eller <[email-masked]>
Date: Sun, 03 May 2015 22:05:02 +0200

On Sun, May 03 2015, Dmitry Gutov wrote:

>> I never have problems with that. Emacs pops buffers in a variety of ways
>> but rarely hides them. I think people are used to manage their own
>> buffers as they see fit. I don't think xref should "help" them with
>> that.
>
> Helmut, thoughts?

*Completion* buffers are automatically closed after the selection is
made.  The *xref* buffer is similar in purpose: select a candidate from
a list.  I think it's rarely an advantage but often a annoyance to have
to close the *xref* buffer manually.  We could always have an
alternative key say SPC that jumps to the location without closing the
*xref* buffer.

Helmut